<?php
/**
 * @package Corporate Businessmen
 */

//Return if the first widget area has no widgets
if ( !is_active_sidebar( 'footer-1' ) ) {
	return;
} ?>

<?php //user selected widget columns

	$corporate_businessmen_widget_num = esc_html(get_theme_mod('corporate_businessmen_footer_widgets', '4'));
	
	if ($corporate_businessmen_widget_num == '4') :
		$corporate_businessmen_col1 ='col-md-3';
		$corporate_businessmen_col2 ='col-md-3';
		$corporate_businessmen_col3 ='col-md-3';
		$corporate_businessmen_col4 ='col-md-3';
	elseif ($corporate_businessmen_widget_num == '3') :
		$corporate_businessmen_col1 ='col-md-4';
		$corporate_businessmen_col2 ='col-md-4';
		$corporate_businessmen_col3 ='col-md-4';
		
	elseif ($corporate_businessmen_widget_num == '2') :
		 $corporate_businessmen_col1 ='col-md-6';
		 $corporate_businessmen_col2 ='col-md-6';
	else :
		$corporate_businessmen_col1 ='col-md-12';
	endif;
?>
		
<?php 
	if ( is_active_sidebar( 'footer-1' ) && ( $corporate_businessmen_widget_num == '4' || $corporate_businessmen_widget_num == '3' || $corporate_businessmen_widget_num == '2' || $corporate_businessmen_widget_num == '1')) :
		?>
			<div class="widget-column px-3 <?php echo esc_attr($corporate_businessmen_col1); ?>">
				<?php dynamic_sidebar( 'footer-1'); ?>
			</div>
		<?php
	endif;
	if ( is_active_sidebar( 'footer-2' ) && ( $corporate_businessmen_widget_num == '4' || $corporate_businessmen_widget_num == '3' || $corporate_businessmen_widget_num == '2')) :
		?>
			<div class="widget-column px-3 <?php echo esc_attr($corporate_businessmen_col2); ?>">
				<?php dynamic_sidebar( 'footer-2'); ?>
			</div>
		<?php
	endif;
	if ( is_active_sidebar( 'footer-3' ) && ( $corporate_businessmen_widget_num == '4' || $corporate_businessmen_widget_num == '3' )) :
		?>
			<div class="widget-column px-3 <?php echo esc_attr($corporate_businessmen_col3); ?>">
				<?php dynamic_sidebar( 'footer-3'); ?>
			</div>
		<?php
	endif;
	if ( is_active_sidebar( 'footer-4' ) && ( $corporate_businessmen_widget_num == '4' )) :
		?>
			<div class="widget-column px-3 <?php echo esc_attr($corporate_businessmen_col4); ?>">
				<?php dynamic_sidebar( 'footer-4'); ?>
			</div>
		<?php
	endif;
?>